Đến nội dung


Hình ảnh
- - - - -

[Đã xong] lisp chọn text chứa dấu phẩy thành dấu chấm


  • Please log in to reply
3 replies to this topic

#1 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 07 August 2007 - 11:06 PM

Các bác cao thủ lisp cho tui hỏi 1 chút
các bác có lisp nào có nội dung như sau không
Khi chọn text , trong text đó có chứa dấu ","
thì sẽ chuyển thành dấu chấm "."
ví dụ: 2,2+12,6 sẽ thành 2.2+12.6
em cám ơn trước!??
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 08 August 2007 - 12:01 AM

Các bác cao thủ lisp cho tui hỏi 1 chút
các bác có lisp nào có nội dung như sau không
Khi chọn text , trong text đó có chứa dấu ","
thì sẽ chuyển thành dấu chấm "."
ví dụ: 2,2+12,6 sẽ thành 2.2+12.6
em cám ơn trước!??

bạn dùng lệnh find của AutoCAD!
Hình đã gửi
  • 0

#3 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 10 August 2007 - 10:23 AM

Cám ơn bác hoành, nhưng em muốn không dùng lềnh find mà
lập lisp có được không ạ?!
cho tiết kiệm thời gian bác à! bác giúp em nha?!
  • 0

#4 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 10 August 2007 - 10:56 AM

Cám ơn bác hoành, nhưng em muốn không dùng lềnh find mà
lập lisp có được không ạ?!
cho tiết kiệm thời gian bác à! bác giúp em nha?!

Chúng ta không nên quá lạm dụng lisp, mặc dù lisp này cũng rất đơn giản.

Lệnh CV dưới đây làm theo yêu cầu của bạn
(defun c:CV( / sst ent old tt)  
(princ "\nConvert [,] to [.] - (c) CADViet.com")
(setq sst (ssget '((0 . "TEXT"))))
(while (> (sslength sst) 0)
(setq ent (ssname sst 0)
sst (ssdel ent sst)
)
(entmod (subst (cons 1 (vl-string-translate "," "." (cdr (setq old (assoc 1 (setq tt (entget ent))))))) old tt))
)
(princ)
)
(vl-load-com)

  • 1